Bug 1125206 - Kdump not configured properly on host warning is displayed even when PM is turned off
Summary: Kdump not configured properly on host warning is displayed even when PM is tu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 10:19 UTC by Martin Perina
Modified: 2016-02-10 19:32 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:38:01 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30881 master MERGED core: Suppress kdump not configured warning when PM is off Never
oVirt gerrit 31126 ovirt-engine-3.5 MERGED core: Suppress kdump not configured warning when PM is off Never

Description Martin Perina 2014-07-31 10:19:50 UTC
Description of problem:

Kdump integration is turned on by default for oVirt 3.5. But even when host power management is turned off, when host status changes to Up, there's displayed warning message:

  Kdump integration is enabled for host 'dev-21', but kdump is not configured properly on host.

Version-Release number of selected component (if applicable):

ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.fc20

How reproducible:

100%

Steps to Reproduce:
1. Install a host with Power Management turned off and Kdump integration turned on
2. When host become Up, warning message is displayed
3.

Actual results:

Warning message is displayed even when Power Management is turned off

Expected results:

Warning message will not be displayed when Power Management is turned off

Additional info:

Comment 1 sefi litmanovich 2014-09-03 11:43:12 UTC
Verified with ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch.

with kdump status disabled, warning was issued only in case both PM is enabled and kdump detection is enabled.
when one or both are disabled message isn't issued.

Comment 2 Sandro Bonazzola 2014-10-17 12:38:01 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.